.product_upsell_holder {
    float: left;
    width: 100%;
    display: flex;
    justify-content: center;
    margin-bottom: 1rem
}


.product-type-simple .product_upsell_inner {
    max-width: 92%;
}

.product-type-variable .product_upsell_inner,
.vivo-def-variable .product_upsell_inner {
    max-width: 88%;
}


.product_upsell_inner {
    float: left;
    width: 100%;

}

.product_upsell_inner h3 {
    font-weight: 600;
    font-size: 1rem;
}

.product_upsell {
    float: left;
    width: 100%;
    cursor: pointer;
    /*background: #f7f7f7*/
}

.product_upsell:nth-of-type(1) {
    border-bottom: 2px solid #fff;
}

/*.product_upsell:nth-of-type(2) {
    margin-bottom: 0rem;
}*/

.product_upsell .up_image {
    float: left;
    width: 130px;
}

.product_upsell .up_image img {
    width: 130px;
}

.product_upsell .up_content {
    float: left;
    width: calc(100% - 140px);
    padding: 10px 10px 10px 8px;
    min-height: 130px;
    position: relative;
    overflow: hidden;
}

.product_upsell .up_title {
    float: left;
    font-weight: 500;
    line-height: 1.2;
    margin-bottom: 0.5rem;
    font-size: 1rem;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.product_upsell del {
    display: none;
}

.product_upsell ins {
    margin-left: -4px;
}


.product_upsell bdi {
    font-weight: 500;
}


.product_upsell .up_price {
    padding-left: 5px;
    display: inline;
}

.product_upsell .up_description {
    float: left;
    width: 100%;
    max-height: 37px;
    line-height: 1.3;
    overflow: hidden;
    margin-bottom: 0.5rem;
    font-size: 0.85rem;
}


.upsell_check_holder {
    float: left;
    width: 100%;
    position: absolute;
    bottom: 10px;
}

.upsell_check_holder .add_remove_text {
    display: inline;
    padding-left: 5px;
    font-size:0.9rem;
}

.upsell_check_holder .add_remove_text bdi {
     padding-left: 4px
}

.upsell_check {
    float: left;
    width: 20px;
    height: 20px;
    border: 1px solid #a7a3a3;
    margin-top: 3px;
}

.upsell_check i {
    display: none !important;
    padding: 1px;
    color: #2c2a24
}


.upsell_check.checked i {
    display: block !important
}

@media screen and (max-width: 460px) {


    .product_upsell_inner h3 {font-size: 0.95rem;}

    .up_description {display:none}

    .product_upsell .up_image, .product_upsell .up_image img {
        width: 90px;
    }
    .product_upsell .up_content {
        width: calc(100% - 100px);
        padding: 10px 10px 10px 8px;
        min-height: 90px;
    }

    .product_upsell .up_title, .add_remove_text {
        font-size: 0.85rem;
    }

}


@media screen and (max-width: 767px) {

    .product-type-simple .product_upsell_inner,
    .product-type-variable .product_upsell_inner,
    .vivo-def-variable .product_upsell_inner {
        max-width: 100%;
    }

}


@media screen and (min-width: 768px) {

    .js-custom-variations-select {
        -webkit-box-shadow: 1px 1px 5px 2px #dddddd69;
        box-shadow: 1px 1px 5px 2px #dddddd69;
        
    }

}


@media screen and (min-width: 992px) and (max-width: 1200px) {

    .vivovita-buy-box-container .product-type-simple .product_upsell_inner {
        max-width: 92% !important;
    }

    .vivovita-buy-box-container .product-type-variable .product_upsell_inner,
    .vivovita-buy-box-container .vivo-def-variable .product_upsell_inner {
        max-width: 88% !important;
    }


}


@media screen and (min-width: 992px) and (max-width: 1920px) {

    .product-type-simple .product_upsell_inner,
    .product-type-variable .product_upsell_inner,
    .vivo-def-variable .product_upsell_inner {
        max-width: 100%;
    }
}


@media screen and (min-width: 768px) and (max-width: 992px) {

    .product_upsell.upsl_col_2 {
        float: left;
        width: 50%;
    }

}   


@media screen and (min-width: 1660px) { 

    .product_upsell.upsl_col_2 {
        float: left;
        width: 50%;
    }
    .product_upsell.upsl_col_2 .up_title {
        font-size: 0.95rem;
    }


    .product_upsell.upsl_col_2 .up_image, .product_upsell.upsl_col_2 .up_image img {
        width: 120px;
    }
    
    .product_upsell.upsl_col_2 .up_content {
        width: calc(100% - 120px);
        padding: 10px 10px 10px 8px;
        min-height: 120px;
 
    }

    .product_upsell:nth-of-type(1) {border-bottom:transparent !important}

}


@media screen and (min-width: 1920px) {


    .product-type-simple .product_upsell_inner {
        max-width: 92%;
    }

    .product-type-variable .product_upsell_inner,
    .vivo-def-variable .product_upsell_inner {
        max-width: 88%;
    }

}


@media screen and (min-width: 1660px){ 

    :lang(it-IT) div:not(.vivovita-buy-box-container) .upsell_check_holder .add_remove_text {font-size: 0.785rem;}
    :lang(ro-RO) div:not(.vivovita-buy-box-container) .upsell_check_holder .add_remove_text {font-size: 0.785rem; padding-left: 1px !important;}
    :lang(el) div:not(.vivovita-buy-box-container) .upsell_check_holder .add_remove_text {font-size: 0.8rem;}

    .vivovita-buy-box-container .upsell_check_holder .add_remove_text {font-size: 0.9rem !important;}

}